import java.io.Serializable;
import java.util.Date;
import java.util.Set;
import java.util.LinkedHashSet;

/**
 * A persistant Hibernate object.
 *
 * @hibernate.class table="events_with_dynamic_ids"
 */
public class EventWithDynamicId implements Serializable {
    private Long id;
    private int duration;
    private String name;
    private Date startDate;
    private Location location;
    private Set speakers = new LinkedHashSet();

    /**
     * @hibernate.id generator-class="${hibernate.id.value}" column="uid"
     * @return
     */
    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }

    /**
     * @hibernate.property column="name"
     * @return
     */
    public String getName() { return name; }
    public void setName(String name) { this.name = name;   }

    /**
     * @hibernate.property column="start_date"
     * @return
     */
    public Date getStartDate() { return startDate; }
    public void setStartDate(Date startDate) { this.startDate = startDate; }

    /**
     * @hibernate.property column="duration"
     * @return
     */
    public int getDuration() { return duration; }
    public void setDuration(int duration) { this.duration = duration; }

    /**
     * @hibernate.many-to-one column="location_id" cascade="save-update"
     * @return
     */
    public Location getLocation() { return location; }
    public void setLocation(Location location) { this.location = location; }

    /**
     * @hibernate.set cascade="save-update"
     * @hibernate.collection-key column="event_id"
     * @hibernate.collection-one-to-many class="Speaker"
     * @return
     */
    public Set getSpeakers() { return speakers; }
    public void setSpeakers(Set speakers) { this.speakers = speakers; }
}
